---
# Warning: gitlab.FirstPerson
#
# Checks for use of first person pronouns.
#
# For a list of all options, see https://vale.sh/docs/topics/styles/
extends: existence
message: "Instead of '%s', speak directly to the reader. Use 'you' or re-write to remove."
level: warning
ignorecase: true
link: https://docs.gitlab.com/ee/development/documentation/styleguide/index.html
tokens:
  - '\bI[ ,;:?!"]|\bI\x27.{1,2}'
